## NAME

r.describe - Prints terse list of category values found in a raster map layer.

## KEYWORDS

raster, metadata

## SYNOPSIS

r.describe
r.describe --help
r.describe [-1rndi] map=name [null_value=string] [nsteps=integer] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-1
  Print the output one value per line
-r
  Only print the range of the data
-n
  Suppress reporting of any NULLs
-d
  Use the current region
-i
  Read floating-point map as integer
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of raster map
null_value=string
  String representing NULL value
  Default: *
nsteps=integer
  Number of quantization steps
  Default: 255

## DESCRIPTION

r.describe prints a terse listing of category values found in a user-specified raster map layer.

r.describe ignores the current geographic region and mask, and reads the full extent of the input raster map. This functionality is useful if the user intends to reclassify or rescale the data, since these functions (r.reclass and r.rescale) also ignore the current geographic region and mask.

The nv parameter sets the string to be used to represent `NULL` values in the module output; the default is '*'.

The nsteps parameter sets the number of quantisation steps to divide into the input raster map.

## NOTES

### FLAGS

If the user selects the -r flag, a range of category values found in the raster map layer will be printed. The range is divided into three groups: negative, positive, and zero. If negative values occur, the minimum and maximum negative values will be printed. If positive values occur, the minimum and maximum positive values will be printed. If zero occurs, this will be indicated. The range report will generally run faster than the full list (the default output).

The -d flag can be used to force r.describe to respect the current region extents when repoting raster map categories. The default behavior is to read the full extent of the input raster map.

If the -1 flag is specified, the output appears with one category value/range per line.

The -n flag suppresses the reporting of `NULL` values.

## EXAMPLES

The following examples are from the Spearfish60 sample Location:

# Print the full list of raster map categories:

    r.describe landcover.30m
    * 11 21-23 31 32 41-43 51 71 81-83 85 91 92

# Print the raster range only:

    r.describe -r landcover.30m
    11 thru 92
    *

# Print raster map category range, suppressing nulls:

    r.describe -n landcover.30m
    11 21-23 31 32 41-43 51 71 81-83 85 91 92

# Print raster map categories, one category per line:

    r.describe -1 geology

    *
    1
    2
    3
    4
    5
    6
    7
    8
    9

## SEE ALSO

g.region, r.mask, r.reclass, r.report, r.rescale, r.stats, r.univar

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

## SOURCE CODE

Available at: r.describe source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual